Bug 295644 - birthdays not shown in list, only in details
Summary: birthdays not shown in list, only in details
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2012-03-10 03:18 UTC by Ingo Ratsdorf
Modified: 2012-05-05 08:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.4


Attachments
Kaddressbook Snapshot (42.87 KB, image/jpeg)
2012-03-10 03:18 UTC, Ingo Ratsdorf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ingo Ratsdorf 2012-03-10 03:18:49 UTC
Created attachment 69440 [details]
Kaddressbook Snapshot

When I open Kaddressbook and add a column for "Birthday", the birthday column is always empty, despite most contacts having a birthday value.
It shows correctly in the deatils and in the editor.
Applies to both version 4.7 and 4.8.1. Snapshot attached.
Comment 1 Christophe Giboudeaux 2012-04-12 08:11:53 UTC
Valid in master *IF* the contact is created in kaddressbook.

I can see the birth date for imported contacts (with the akonadi-google resource for example) but not if I create one in kabc.

The date is stored differently:

Visible:
BDAY:YYYY-MM-DDT00:00:00

Invisible:
BDAY:YYYY-MM-DD
Comment 2 Andre Woebbeking 2012-05-05 08:20:09 UTC
Git commit 44ab1484c5d45a0cbd4d77042a37b5ce995a3613 by Andre Woebbeking.
Committed on 05/05/2012 at 10:17.
Pushed by woebbe into branch 'KDE/4.8'.

Also show birthdays with invalid time (who cares for the time anyway?)

FIXED-IN: 4.8.4

M  +1    -1    akonadi/contact/contactstreemodel.cpp

http://commits.kde.org/kdepimlibs/44ab1484c5d45a0cbd4d77042a37b5ce995a3613
Comment 3 Andre Woebbeking 2012-05-05 08:27:07 UTC
Git commit 13457e122d83624b45203e009c683780a5e37de1 by Andre Woebbeking.
Committed on 05/05/2012 at 10:17.
Pushed by woebbe into branch 'master'.

Also show birthdays with invalid time (who cares for the time anyway?)
(cherry picked from commit 44ab1484c5d45a0cbd4d77042a37b5ce995a3613)

M  +1    -1    akonadi/contact/contactstreemodel.cpp

http://commits.kde.org/kdepimlibs/13457e122d83624b45203e009c683780a5e37de1